/*
   rc.h : Copyright Paul Healy, EI9GL, 1992.

   920603 : Created.
*/
#ifndef _rc_h_
#define _rc_h_

typedef enum {
      alias,       /* alias file */
      bufsize,     /* internal mail file buffer */
      current,     /* file holding current folder and msg */
      editor,      /* user's favorite text editor */
      editline,    /* call DOS fn 0A for console input */
      folder,      /* directory for saveing read mail */
      fullname,    /* fullname of this user from rc file */
      hostname,    /* name of this host from rc file */
      maildir,     /* mail directory */
      maxcol,      /* number of character columns on your screen */
      maxlet,      /* maximum number of letters in a file */
      maxrow,      /* number of character rows on your screen */
      mqueue,      /* mqueue outbound directory */
      newsdir,     /* news directory */
      organ,       /* nntp organization header */
      record,      /* record  outbound mail in this file */
      replyto,     /* address for reply-to header */
      rewrite,     /* rewrite file */
      signature,   /* location of sig file */
      spooldir,    /* spool directory - areas file etc */
      savebox,     /* name of the mbox text file */
      screen,      /* screen access mode under Turbo C */
      source,      /* pull in rc info from another file */
      tsbids,      /* add time stamp to bids in history file */
      tmpdir,      /* directory for temporary files */
      username,    /* name of this user from rc file */
      viewer,      /* program to view files with */
      last_var
   } UserVar;

int loadconfig(void);
char *getrc(UserVar u);

#endif
